package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import com.brilliance.isc.bo.Cnd;

@Mapper
public interface CndMapper {

    int insert(Cnd record);

    int insertSelective(Cnd record);

    int updateByPrimaryKeySelective(Cnd record);

    int updateByPrimaryKey(Cnd record);

    int deleteByPrimaryKey(Cnd record);

    int deleteByIds(Collection<Object> collection);

    Cnd selectByPrimaryKey(Cnd record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cnd> dyncRead(Map<String,Object> dyncMap);

    int deleteByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    List<Cnd> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    List<Cnd> selectBySptinr(@Param("sptinr") String sptinr);




}
